
/* Section NAVBAR */

#announcement-bar {
    width: 100%;
    height: 40px;
    z-index: 6;
    cursor: pointer;
    text-align: center;
    color: #fff;
    text-decoration: none;
    position: relative;
    display: flex;
    text-shadow: 0px 1px 5px rgba(0, 0, 0, 0.50);
}

    #announcement-bar.ready {
        transition: all 0.3s ease;
    }

    #announcement-bar.fixedAD {
        position: fixed;
    }

    #announcement-bar > * {
        transition: all 0.2s ease;
    }

    #announcement-bar.hide {
        height: 0;
    }

        #announcement-bar.hide > * {
            opacity: 0;
        }

    #announcement-bar #closeAnnouncement {
        position: absolute;
        right: 1.5%;
        font-size: 15px;
        top: 50%;
        transform: translateY(-50%);
    }

    #announcement-bar #announcementNext {
        position: absolute;
        font-size: clamp(20px,5vw,40px);
        width: clamp(0px,10vw,300px);
        max-width: 300px;
        right: clamp(20px,5vw,30px);
        justify-content: end;
        border: none;
    }

    #announcement-bar #announcementPrev {
        position: absolute;
        font-size: clamp(20px,5vw,40px);
        width: clamp(0px,10vw,300px);
        max-width: 300px;
        left: clamp(20px,5vw,30px);
        justify-content: start;
        border: none;
    }


    #announcement-bar #megaphone {
        position: absolute;
        left: 1.5%;
    }


.announcements-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.announcement-item {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

    .announcement-item.active {
        opacity: 1;
        visibility: visible;
    }

    .announcement-item p {
        font-size: clamp(8px,4vw,16px);
        user-select: none;
    }

.announcement-text-wrapper {
    width: 70%;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: safe center;
    padding-left: 10px;
    padding-right: 10px;
}

    .announcement-text-wrapper::before,
    .announcement-text-wrapper::after {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        width: 10px; /* Fade width */
        pointer-events: none;
        z-index: 1;
    }

    .announcement-text-wrapper::before {
        left: -1px;
        background: linear-gradient(to right, currentColor, transparent);
    }

    .announcement-text-wrapper::after {
        right: -1px;
        background: linear-gradient(to left, currentColor, transparent);
    }

.announcement-text {
    white-space: nowrap;
    display: inline-block;
    position: relative;
}

/* Marquee animation for LTR */
@keyframes marquee-ltr {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* Marquee animation for RTL */
@keyframes marquee-rtl {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(50%);
    }
}

.announcement-text.marquee[dir="ltr"] {
    padding-right: 3rem;
}

.announcement-text.marquee[dir="rtl"] {
    padding-left: 3rem;
}

.announcement-text.marquee[dir="ltr"]::after {
    content: attr(data-text);
    padding-left: 3rem;
}

.announcement-text.marquee[dir="rtl"]::after {
    content: attr(data-text);
    padding-right: 3rem;
}

.navbar {
    background: #000000;
    box-shadow: 0px 8px 5px rgb(0,0,0);
    width: 100%;
    z-index: 5;
    transition: padding-top 0.3s ease;
}

    .navbar.fixedAD {
        padding-top: calc(40px + 8px);
    }

.navbar-brand {
    margin-inline-end: 2%;
    margin-inline-start: 0px;
    margin-bottom: 0px;
}

    .navbar-brand img {
        width: clamp(90px,12vw,200px);
        transform: translateY(1%);
    }

.navbar-toggler {
    border-style: solid;
    border-color: rgba(255,129,38,0.41);
}

.searchbar {
    height: 40px;
    margin-top: 15px;
    margin-bottom: 1%;
    width: 100%;
    display: inline-block;
}

    .searchbar input {
        background: #222;
        background: linear-gradient(#333, #222);
        border: 1px solid #444;
        border-radius: 5px 0 0 5px;
        color: #888;
        display: block;
        font-family: 'Cabin', helvetica, arial, sans-serif;
        font-size: 13px;
        font-weight: 400;
        height: 40px;
        margin: 0;
        padding-inline-start: 10px;
        width: 100%;
    }

        .searchbar input:focus {
            animation: glow 1100ms ease infinite alternate;
            background: #222922;
            background: linear-gradient(#333933, #222922);
            border-color: #996a33;
            box-shadow: 0 0 5px rgba(255,107,0,0.2), inset 0 0 5px rgba(255,107,0,0.2), 0 2px 0 #000;
            color: #efe;
            outline: none;
        }

    .searchbar .searchbutton {
        position: relative;
        background: #651e00;
        box-sizing: border-box;
        border: 1px solid #91330b;
        border-left-color: #000;
        border-radius: 0 5px 5px 0;
        color: #ff8450;
        display: block;
        font-size: 27px;
        width: 70px;
        height: 100%;
        transition: all 0.2s;
        text-decoration: none;
    }

        .searchbar .searchbutton:hover {
            background: rgb(170,50,0);
        }

@media (max-width: 991px) {
    .navbar .searchbar:first-child {
        display: none;
    }
}

@media (min-width: 991px) {
    .navbar .searchbar:last-child {
        display: none;
    }
}

@media (max-width: 991px) {
    .navbar .searchbar:last-child {
        display: flex;
    }
}

@keyframes glow {
    0% {
        border-color: rgba(255,103,39,0.5);
        box-shadow: 0 0 5px rgba(255,92,0,0.2), inset 0 0 5px rgba(255,92,0,0.1), 0px 3px 10px #0000006e;
    }

    100% {
        border-color: rgb(255,129,38);
        box-shadow: 0 0 20px rgba(255,103,39,0.75), inset 0 0 10px rgba(255,103,39,0.52), 0px 3px 10px #0000006e;
    }
}

.navbar .language {
    margin-inline-end: 3%;
    margin-inline-start: 4%;
    font-size: 30px;
    cursor: pointer;
}

    .navbar .language svg {
        transition: 0.2s;
        color: #dfdfdf;
    }

        .navbar .language svg:hover {
            transform: translateY(-3px);
        }


@media (max-width: 991px) {
    .navbar .language {
        margin-inline-start: 10px;
        margin-bottom: 10px;
        font-size: 16px;
        padding-top: 8px;
        padding-bottom: 8px;
    }


    .languagelist .dropdown-menu {
        position: absolute;
        left: unset;
    }

        .languagelist .dropdown-menu .dropdown-item {
            display: flex;
            flex-direction: column;
            height: 40px;
            align-items: center;
            justify-content: center;
        }
}

@media (max-width: 991px) {
    .navbar .language {
        text-decoration: none;
        display: none;
    }
}

@media (max-width: 991px) {
    .navbar .language > a::after {
        font-size: 20px;
        font-family: 'Oswald';
        letter-spacing: 2px;
        color: var(--nav-font-color);
    }
}

@media (max-width: 991px) {
    .navbar .language svg {
        margin-inline-end: 10px;
        font-size: 22px;
        margin-top: 0;
        color: var(--nav-font-color);
        margin-bottom: 6px;
    }
}

.navbar-nav {
    padding: 0;
}

.navbar .glowingbutton {
    background-color: var(--bs-primary);
    box-shadow: 0px 0px 20px rgba(255,103,39,0.7);
    border-radius: 10px;
    border-style: none;
    height: clamp(35px,3vw,40px);
    padding: 0;
    margin-inline-end: 15px;
    min-width: 45px;
    min-height: 45px;
    aspect-ratio: 1;
}



@supports (-moz-appearance:none) {
    .navbar .glowingbutton {
        margin-inline-end: 30px;
    }
}

#signIn-Button {
    font-size: clamp(12px,1vw,16px) !important;
    padding-inline-end: 20px;
    padding-inline-start: 20px;
    min-width: auto;
    min-height: 30px;
    white-space: nowrap;
    border-radius: 10px;
    margin-bottom: 0;
}

.navbar .glowingbutton:hover {
    background-color: #ff8126;
    box-shadow: 0px 0px 20px #ff8126;
    border: none;
}

.navbar .glowingbutton.btn:active {
    background-color: #ff3326;
    box-shadow: 0px 0px 20px #ff8126;
    border: none;
    transform: translateY(0%);
}

#nav-user .glowingbutton svg {
    font-size: 24px;
}

.navbar .nav-item {
    font-size: clamp(14px,1vw,16px);
    line-height: 0;
}

@media (max-width: 991px) {
    .navbar .nav-item:first-child {
        margin-top: 15px;
    }

    .navbar .nav-item:last-child {
        margin-bottom: 5px;
    }

    .navbar .nav-item {
        font-size: 20px;
        letter-spacing: 0px;
    }

        .navbar .nav-item .pre-loader li {
            font-size: 20px;
        }

    .navbar .productslist {
        display: none;
    }
}

.navbar .nav-item svg {
    font-size: clamp(14px,1vw,18px);
    margin-bottom: 4px;
    margin-inline-end: 10px;
}

@media (max-width: 991px) {
    .navbar .nav-item svg {
        font-size: 20px;
        margin-inline-start: 10px;
    }
}

.navbar .dropdown-item {
    text-align: center;
}

.navbar .class-menu .dropdown-item {
    text-align: center;
    width: 49%;
    line-height: 25px;
}

.navbar .class-item {
    text-align: center;
    display: inline-block;
    padding: 10px;
    width: 49%;
    line-height: 25px;
}

.nav-item .dropdown a {
    padding: 8px;
    margin-bottom: 0;
}

@media (max-width: 991px) {
    .nav-item .dropdown > a {
        padding-inline-start: 0;
    }
}

@media (max-width: 991px) {
    .navbar .nav-item a {
        padding-inline-end: 10px;
    }
}

.navbar .class-menu {
    width: 100%;
    min-width: clamp(250px,30vw,500px);
    padding: 0px;
    margin-bottom: 15px;
}

@media (max-width: 991px) {
    #navcol-1 {
        background: linear-gradient(rgba(0,0,0,1) 0%, rgb(60, 26, 11) 100%);
        border-radius: 5px;
    }
}

#nav-signIn {
    margin-inline-start: auto;
}

@media (max-width: 991px) {
    #nav-signIn {
        margin-inline-end: 5px;
    }
}

#nav-user {
    display: none !important;
}

#nav-user-phone {
    display: none !important;
}


@media (max-width: 991px) {
    #nav-sign-button {
        display: none;
    }

    #nav-user-phone {
        display: flex !important;
        font-size: 30px !important;
    }

        #nav-user-phone svg {
            font-size: clamp(18px, 6vw, 24px) !important;
        }

    .navbar .glowingbutton {
        min-width: clamp(30px, 9vw, 40px);
        min-height: clamp(30px, 9vw, 40px);
        aspect-ratio: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white;
        cursor: pointer;
    }

    .navbar-toggler {
        width: clamp(35px, 9vw, 55px);
        height: clamp(35px, 9vw, 42px);
        font-size: clamp(12px, 4vw, 20px);
        padding: 0px;
    }
}

.navbar .phonelist {
    color: gray;
}

#nav-signIn.logged-in #nav-sign-button {
    display: none;
}

@media (min-width: 992px) {
    #nav-signIn.logged-in #nav-user {
        display: flex !important;
        font-size: clamp(12px,1vw,14px);
    }

    .navbar .phonelist {
        display: none;
    }
}



:root {
    --nav-font-color: #898989;
    --ttx-font-color: #cd7737;
}

.glow a {
    position: relative;
    display: inline-block;
    color: var(--nav-font-color);
    text-decoration: none;
    text-transform: uppercase;
    transition: 0.5s;
    overflow: hidden;
    letter-spacing: 2px;
    border-radius: 3px;
    font-family: 'Oswald';
    line-height: 0;
    cursor: pointer;
}

    .glow a:hover {
        background: var(--bs-primary);
        color: #050801 !important;
        box-shadow: var(--custom-glowing-color);
    }

.glow:hover li {
    color: #050801 !important;
    transition: 0s;
}

/* TTX BUILDER TEXT */

ul.pre-loader {
    padding: 0;
}


    ul.pre-loader li {
        list-style: none;
        color: var(--ttx-font-color);
        display: inline;
        font-size: clamp(14px,1vw,16px);
        animation: pre-load 5s linear infinite;
        line-height: 0;
        font-weight: bold;
        margin-left: -3px
    }

@keyframes pre-load {
    0% {
        color: var(--ttx-font-color);
        text-shadow: none;
    }

    20% {
        color: var(--ttx-font-color);
        text-shadow: none;
    }

    40% {
        color: #ffcb9b;
        text-shadow: 0 0 7px #ffb067, 0 0 20px #ffcb9b;
    }

    60% {
        color: var(--ttx-font-color);
        text-shadow: none;
    }

    80% {
        color: var(--ttx-font-color);
        text-shadow: none;
    }

    100% {
        color: var(--ttx-font-color);
        text-shadow: none;
    }
}

ul.pre-loader li:nth-child(1) {
    animation-delay: 0.6s;
    margin-inline-end: -3px;
}

ul.pre-loader li:nth-child(2) {
    animation-delay: 0.8s;
}

ul.pre-loader li:nth-child(3) {
    animation-delay: 1s;
}

ul.pre-loader li:nth-child(4) {
    animation-delay: 1.2s;
}

ul.pre-loader li:nth-child(5) {
    animation-delay: 1.4s;
}

ul.pre-loader li:nth-child(6) {
    animation-delay: 1.6s;
}

ul.pre-loader li:nth-child(7) {
    animation-delay: 1.8s;
}

ul.pre-loader li:nth-child(8) {
    animation-delay: 2s;
}

ul.pre-loader li:nth-child(9) {
    animation-delay: 2.2s;
}

ul.pre-loader li:nth-child(10) {
    animation-delay: 2.4s;
}

ul.pre-loader li:nth-child(11) {
    animation-delay: 2.6s;
}

ul.pre-loader li:nth-child(12) {
    animation-delay: 2.8s;
}

ul.pre-loader li:nth-child(13) {
    animation-delay: 3.0s;
}

ul.pre-loader li:nth-child(14) {
    animation-delay: 3.2s;
}

ul.pre-loader li:nth-child(15) {
    animation-delay: 3.4s;
}

ul.pre-loader li:nth-child(16) {
    animation-delay: 3.6s;
}

.navlist {
    max-width: 500px;
    position: fixed;
    height: 100dvh;
    max-height: 100dvh;
    width: 100vw;
    top: 0;
    z-index: 9999;
    transition: all 0.4s;
    box-shadow: none;
    background-color: #282828;
    left: clamp(-500px,-100vw,0px);
}

.navlist-active {
    box-shadow: 0px 0px 20px rgba(0,0,0,0.74);
    left: 0vw;
}

.navfadescreen {
    height: 100dvh;
    width: 100vw;
    top: 0;
    background-color: rgba(0,0,0,0.7);
    opacity: 0;
    position: fixed;
    z-index: 999;
    pointer-events: none;
    transition: opacity 0.4s;
    /*display: none;*/
}

.navfadescreen-active {
    opacity: 1;
    pointer-events: all;
}

.navlist .navclose {
    position: absolute;
    font-size: 50px !important;
    margin-inline-end: 5px;
    color: rgba(146,146,146,0.74);
    cursor: pointer;
    right: 15px;
    top: 15px
}

.navlist .topbar {
    display: flex;
    width: 100%;
    height: 80px;
    font-size: 30px;
    background-color: black;
    align-items: center;
    justify-content: center;
}

.navlist .title p {
    margin-inline-start: 10px;
    margin-bottom: 0px;
}

.navlist .title svg {
    color: #ff6626;
}

.navlist .classes {
    height: calc(100dvh - 80px);
    grid-template-columns: repeat(2, 50%);
    overflow-y: scroll;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.74);
}

    .navlist .classes img {
        width: 80%;
        height: 100%;
        object-fit: contain;
    }

    .navlist .classes .category-item {
        display: flex;
        border: 1px solid transparent;
        justify-content: center;
        align-items: center;
        white-space: nowrap;
        flex-direction: column;
        background-color: #1c1c1c;
        padding: 10px;
        margin: 5px;
        margin-bottom: 0px;
        transition: all 0.2s;
        text-decoration: none;
        color: white;
        will-change: transform;
        height: 95%;
    }

        .navlist .classes .category-item h2 {
            font-size: clamp(1.0em,4vw,1.2em);
        }

        .navlist .classes .category-item:hover {
            border: 1px solid #ff6626;
        }
